Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1684534 - p11tool fails to list private keys with 'pin-value' specified in PKCS#11 URI
Summary: p11tool fails to list private keys with 'pin-value' specified in PKCS#11 URI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnutls
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 8.0
Assignee: Daiki Ueno
QA Contact: Tomas Mraz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 13:21 UTC by Stanislav Zidek
Modified: 2019-11-05 22:26 UTC (History)
5 users (show)

Fixed In Version: gnutls-3.6.8-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:26:14 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gitlab gnutls/gnutls/merge_requests/982 None None None 2019-04-16 12:37:36 UTC
Red Hat Product Errata RHSA-2019:3600 None None None 2019-11-05 22:26:28 UTC

Description Stanislav Zidek 2019-03-01 13:21:08 UTC
Description of problem:
While listing or deleting objects on PKCS#11 token, p11tool fails to consume pin from URI.

This is regression against RHEL-7, but definitely not a blocker.

Version-Release number of selected component (if applicable):
# rpm -q gnutls p11-kit softhsm
gnutls-3.6.5-2.el8.x86_64
p11-kit-0.23.14-4.el8.x86_64
softhsm-2.4.0-1.el8.x86_64

RHEL-8.0.0-20190228.1

How reproducible:
always

Steps to Reproduce:
1. setup softhsm token and generate private key in it
2. p11tool --batch --login --list-all-privkeys '$token?pin-value=$PIN'


Actual results:
Object 0:
	URL: pkcs11:model=SoftHSM%20v2;manufacturer=SoftHSM%20project;serial=732c1c70bd195b7b;token=softhsm;id=%b8%9a%a7%5e%9a%59%eb%d9%de%e2%3d%97%28%e5%8f%c4%54%ac%6a%71;object=testkey-rsa;type=private
No PIN given.
note: when operating in batch mode, set the GNUTLS_PIN or GNUTLS_SO_PIN environment variables


Expected results:
... listed normally

Additional info:
Interestingly enough, pin-value specification works with --generate-* operations.

Comment 10 errata-xmlrpc 2019-11-05 22:26:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3600


Note You need to log in before you can comment on or make changes to this bug.